Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512676 - AWS: SSA on ec-2 instance not completes and throws message in tasks "job timed out after 3053.942523145 seconds of inactivity. Inactivity threshold [3000 seconds]"
Summary: AWS: SSA on ec-2 instance not completes and throws message in tasks "job time...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:ec2:instance
Depends On:
Blocks: 1514192
TreeView+ depends on / blocked
 
Reported: 2017-11-13 20:06 UTC by Satyajit Bulage
Modified: 2018-06-21 20:28 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514192 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:28:53 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satyajit Bulage 2017-11-13 20:06:54 UTC
Created attachment 1351674 [details]
evm.log during SSA on Instance

Description of problem: After initializing SSA on ec-2 instance throws error "[----] E, [2017-11-13T12:08:53.781654 #15367:1287138] ERROR -- : MIQ(ManageIQ::Providers::Amazon::AgentCoordinator#startup_agent) No agent is set up to process requests: undefined method `empty?' for nil:NilClass" in evm.log and Message "job timed out after 3053.942523145 seconds of inactivity. Inactivity threshold [3000 seconds]" in UI.


Version-Release number of selected component (if applicable):5.9.0.8.20171109215303_ed87902


How reproducible:100%


Steps to Reproduce:
1. Add ec-2 provider
2. Perform SSA on any of the instance.
3.

Actual results: Throwing error in evm.log and Job timeout message in Task.


Expected results: It should succeed without any error.


Additional info:

Comment 3 CFME Bot 2017-11-15 17:02:57 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/master:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/70fc214b688dc3ba733840de65718b0cd54114b9

commit 70fc214b688dc3ba733840de65718b0cd54114b9
Author:     hsong-rh <hsong@redhat.com>
AuthorDate: Wed Nov 15 11:29:29 2017 -0500
Commit:     hsong-rh <hsong@redhat.com>
CommitDate: Wed Nov 15 11:29:29 2017 -0500

    Fix no security group exists at the first time
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512676

 app/models/manageiq/providers/amazon/agent_coordinator.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.